# 44. Mutação: Definir rótulos de campo

Mutação para definir "Labels" para o "Field". A mutação funciona no modo SOBRESCRIÇÃO, o que significa que cada solicitação substituirá todos os rótulos existentes pelos rótulos da solicitação.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SetFieldLabelsSample {
  setFieldLabels(
    input: {
      farmUuid: "<placeholder_of_farm_uuid>"
      uuid: "<placeholder_of_field_uuid>"
      rótulos: [{ nome: "name1", valor: "value1" }]
    }
  ) {
    uuid
    nome
    labels {
      nome
      value
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/44.-mutacao-definir-rotulos-de-campo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
